# Uses of Class
org.eclipse.emf.cdo.spi.common.CDOAuthenticationResult

Packages that use CDOAuthenticationResult
Package
Description
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of CDOAuthenticationResult in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOAuthenticationResult
Modifier and Type
Method
Description
`CDOAuthenticationResult`
CDOAuthenticator.`authenticate(byte[] randomToken)`
Deprecated.

## Uses of CDOAuthenticationResult in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return CDOAuthenticationResult
Modifier and Type
Method
Description
`CDOAuthenticationResult`
ISessionProtocol.`sendAuthenticationChallenge(byte[] randomToken)`
Deprecated.
As of 4.2 `IAuthenticationProtocol.sendAuthenticationChallenge(Challenge)` is called.